KODE(1)

NAME
kode - KDE code generator

SYNOPSIS
kode [Qt-options] [KDE-options] [options] [filename]

DESCRIPTION
Kode generates various types of C++ template files.

PROGRAM OPTIONS

-c, --create-class
    Create a class.

-d, --create-dialog
    Create a dialog.

--create-kioslave
    Create a kioslave.

-y, --codify
    Create generator code for the given source.

--add-property
    Add a property to the class.

--inplace
    Change the output file in place.

--author-email <name>
    Add an author with the given email address.

--project <name>
    Give the project name.

--gpl
    Use the GPL as the license.

--lgpl
    Use the LGPL as the license.

--classname <name>
    Specifies the name of the class.

--namespace <name>
    Specifies the namespace in which to place the class.

--warning
    Enable warnings about code generation.

--qt-exception
    Add a QT exception to the GPL.

--singleton
    Create a singleton class.

--protocol
    Specifies the kioslave protocol name.

filename
    Specifies the source code file name for output.